Page MenuHomePhabricator

"reset openvpn" op-mode command should terminate and restart OpenVPN process
Closed, ResolvedPublicFEATURE REQUEST

Description

RIght now when the user sends reset openvpn interface vtun1 A SIGUSR1 is send to the OpenVPNM proces sin question.

This has the disadvantage that Key files are not reloaded from disk even when they have been updated (--persistent-key option)

Insted of sending SIGUSR1 via the MGMT socket, just kill -9 the process and restart it using start-stop-daemon see interfaces-openvpn-py as example.

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Perfectly compatible

Event Timeline

c-po triaged this task as Low priority.Sep 26 2019, 5:14 PM
c-po created this task.
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po closed this task as Resolved.Oct 3 2019, 9:56 AM
c-po claimed this task.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Oct 13 2019, 3:01 PM